# `gbp.scripts.import_ref` module documentation

Part of `gbp.scripts`

Import a new upstream version from a git branch onto the Debian branch

Function | get_commit_and_version_to_merge | Get the commit and version we want to merge based on the --upstream-tag setting
Function | build_parser | Undocumented
Function | parse_args | Parse the command line arguments @return: options and arguments
Function | main | Undocumented

def get_commit_and_version_to_merge(repo, options):

Get the commit and version we want to merge based on the --upstream-tag setting

def build_parser(name):
Undocumented
def parse_args(argv):

Parse the command line arguments

Returns | options and arguments

def main(argv):
Undocumented